FUNPAGRP(3)

NAME

pat_addpagrp

SYNOPSYS

struct pagrp *pat_addpagrp (lastpagrp, name, length, index, flag)
struct pagrp *lastpagrp;
char *name;
unsigned short length;
unsigned short index;
short flag;

PARAMETERS

lastpagrp
    pointer on the last pagrp structure

name
    array's name

length
    array's number of bit

index
    index of the first paiol of the array

flag
    set to 0 for an actual array and to 1 for a virtual one

DESCRIPTION

A pagrp is a data structure representing an actual or virtual array.

pat_addpagrp() adds a pagrp structure at the top of a list of pagrp structures. The name registered in the pagrp is produced by namealloc(). The function returns the pointer of the new list. No check is made by this function.

EXAMPLE

#include <pat106.h>
struct pagrp *list;
char *name;
list = pat_addpagrp (list, "INA", 32, 10, 0);

SEE ALSO

libpat(3), pagrp(3), namealloc(3)